curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/base/tendermint/v1beta1/block_results/{height}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/base/tendermint/v1beta1/block_results/{height}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/base/tendermint/v1beta1/block_results/{height}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"height": "<string>",
"txs_results": [
{
"code": 123,
"data": "aSDinaTvuI8gbWludGxpZnk=",
"log": "<string>",
"info": "<string>",
"gas_wanted": "<string>",
"gas_used": "<string>",
"events": [
{
"type": "<string>",
"attributes": [
{
"key": "<string>",
"value": "<string>",
"index": true
}
]
}
],
"codespace": "<string>"
}
],
"finalize_block_events": [
{
"type": "<string>",
"attributes": [
{
"key": "<string>",
"value": "<string>",
"index": true
}
]
}
],
"validator_updates": [
{
"pub_key": {
"ed25519": "aSDinaTvuI8gbWludGxpZnk=",
"secp256k1": "aSDinaTvuI8gbWludGxpZnk="
},
"power": "<string>"
}
],
"consensus_param_updates": {
"block": {
"max_bytes": "<string>",
"max_gas": "<string>"
},
"evidence": {
"max_age_num_blocks": "<string>",
"max_age_duration": "<string>",
"max_bytes": "<string>"
},
"validator": {
"pub_key_types": [
"<string>"
]
},
"version": {
"app": "<string>"
},
"abci": {
"vote_extensions_enable_height": "<string>"
},
"authority": {
"authority": "<string>"
}
},
"app_hash": "aSDinaTvuI8gbWludGxpZnk="
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}GetBlockResults
gRPC: cosmos.base.tendermint.v1beta1.Service/GetBlockResults (reference)
GetBlockResults queries block results for given height.
Path Parameters
Response
A successful response.
GetBlockResultsResponse is the response type for the Query/GetBlockResults RPC method.
height is the block height.
txs_results contains the results of each transaction execution.
Show child attributes
Show child attributes
finalize_block_events contains consensus-level events emitted during block finalization, including slashing, jailing, and validator set updates.
Show child attributes
Show child attributes
validator_updates contains the validator updates for this block.
Show child attributes
Show child attributes
consensus_param_updates contains any consensus parameter updates for this block.
Show child attributes
Show child attributes
app_hash is the app hash after processing this block.
Was this page helpful?